Skip to content

Close Circuit Breaker

Endpoint: POST /api/registry/service/{name}/circuit-breaker/close

Manually forces the circuit breaker to the closed state, resuming normal traffic to the service.

Note

The circuit breaker is initialized only after at least one request has been made to the service. If the service does not exist or the circuit breaker has not been initialized yet, this endpoint returns 404.

Path parameters

Parameter Description Type Required/ Optional
name The name of the service whose circuit breaker is to be closed. string Required.

Response

Returns a 200 OK with the circuit breaker status, including the service name, previous and current states, transition timestamp, and a status message.

Examples

Close circuit breaker

Request

curl -X 'POST' \
  'https://<YOUR-SERVER-URL>/api/registry/service/petstore/circuit-breaker/close' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

{
  "service": "petstore",
  "previousState": "OPEN",
  "currentState": "CLOSED",
  "transitionTimestamp": 0,
  "message": "Circuit breaker transitioned from OPEN to CLOSED"
}